# List connection metadata schemas

`GET /apis/cra.diagrid.io/v1beta1/metadataschemas`

List the metadata schemas for creating Diagrid connections.

## Responses

### 200 — The list of connection metadata schemas.

`application/json`

- `schemaVersion` (string)
- `date` (string)
- `components` (object[])
  - `schemaVersion` (string)
  - `type` (string)
  - `name` (string)
  - `version` (string)
  - `status` (string)
  - `title` (string)
  - `description` (string)
  - `urls` (object[])
    - `title` (string)
    - `url` (string)
  - `binding` (object)
    - `input` (boolean)
    - `output` (boolean)
    - `operations` (object[])
      - `name` (string)
      - `description` (string)
  - `capabilities` (string[])
  - `authenticationProfiles` (object[])
    - `title` (string)
    - `description` (string)
    - `metadata` (object[])
      - `name` (string)
      - `description` (string)
      - `required` (boolean)
      - `sensitive` (boolean)
      - `isCert` (boolean)
      - `type` (string)
      - `default` (string)
      - `example` (string)
      - `allowedValues` (string[])
      - `binding` (object)
        - `input` (boolean)
        - `output` (boolean)
      - `url` (object)
        - `title` (string)
        - `url` (string)
      - `deprecated` (boolean)
  - `builtinAuthenticationProfiles` (object[])
    - `name` (string)
    - `metadata` (object[])
      - `name` (string)
      - `description` (string)
      - `required` (boolean)
      - `sensitive` (boolean)
      - `isCert` (boolean)
      - `type` (string)
      - `default` (string)
      - `example` (string)
      - `allowedValues` (string[])
      - `binding` (object)
        - `input` (boolean)
        - `output` (boolean)
      - `url` (object)
        - `title` (string)
        - `url` (string)
      - `deprecated` (boolean)
  - `metadata` (object[])
    - `name` (string)
    - `description` (string)
    - `required` (boolean)
    - `sensitive` (boolean)
    - `isCert` (boolean)
    - `type` (string)
    - `default` (string)
    - `example` (string)
    - `allowedValues` (string[])
    - `binding` (object)
      - `input` (boolean)
      - `output` (boolean)
    - `url` (object)
      - `title` (string)
      - `url` (string)
    - `deprecated` (boolean)
  - `warnings` (object[])
    - `title` (string)
    - `description` (string)
    - `url` (string)

### default — Unexpected error.

`application/json`

In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.

- `code` (string) — Required. This is the same as the HTTP status of the response.
- `message` (string) — Required. A short description of the error.
- `status` (object) — Required. A status code that indicates the error type.
- `details` (object) — Additional details about the errors.
  - `@type` (string) — The type of error.
  - `reason` (string) — A reason for the error.
  - `domain` (string) — The domain in which the error occurred.
  - `metadata` (object) — Additional metadata about the error.

`application/vnd.api+json`

JSONAPI.org specification error response wrapper for UI.

- `error` (object) — In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.
  - `code` (string) — Required. This is the same as the HTTP status of the response.
  - `message` (string) — Required. A short description of the error.
  - `status` (object) — Required. A status code that indicates the error type.
  - `details` (object) — Additional details about the errors.
    - `@type` (string) — The type of error.
    - `reason` (string) — A reason for the error.
    - `domain` (string) — The domain in which the error occurred.
    - `metadata` (object) — Additional metadata about the error.
- `meta` (object<string, object>) — Link members related to the primary data.
  - One of:
    - **string (uri-reference)** — A string containing the link's URL.
    - **object**
      - `href` (string (uri-reference)) — Required. A string containing the link's URL.
      - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
- `links` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
